> ## Documentation Index
> Fetch the complete documentation index at: https://support.myapps.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Direct and save a layered canvas from a prompt.



## OpenAPI

````yaml /api/pixio-project-api.json post /api/v1/canvas/from-prompt
openapi: 3.1.0
info:
  title: Pixio Project Integration API
  version: 1.0.0
  description: >-
    Additive project-authoring endpoints. The original media API contract
    remains at /api/v1/openapi.json.
servers:
  - url: https://beta.pixio.myapps.ai
security: []
paths:
  /api/v1/canvas/from-prompt:
    post:
      summary: Direct and save a layered canvas from a prompt.
      operationId: post_canvas_from_prompt
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PromptProjectRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Invalid or revoked integration key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Owned resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '409':
          description: Project type or version conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      security:
        - bearerAuth: []
components:
  schemas:
    PromptProjectRequest:
      type: object
      required:
        - prompt
      properties:
        prompt:
          type: string
          minLength: 4
          maxLength: 8000
        name:
          type: string
          minLength: 1
          maxLength: 200
    ApiError:
      type: object
      required:
        - error
      properties:
        error:
          type: string
        code:
          type: string
        details: {}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Pixio key

````